#include "../../explicitvectors.hh"
#include "../../explicitgrid.hh"


#include <dune/fufem/boundarypatch.hh>
#include <dune/fufem/hdf5/sequenceio.hh>

//#include "../../data-structures/program_state.hh"

//using MyProgramState = ProgramState<Vector, ScalarVector>;

template class FrictionalBoundaryWriter<DefLeafGridView>;

template FrictionalBoundaryWriter<DefLeafGridView>::FrictionalBoundaryWriter(
    HDF5::Group& group, const Vector& vertexCoordinates, const BoundaryPatch<DefLeafGridView>& frictionalBoundary);
template void FrictionalBoundaryWriter<DefLeafGridView>::write(
    const size_t timeStep, const Vector& u, const Vector& v, const ScalarVector& alpha, const ScalarVector& frictionCoeff);


