#include "../../explicitvectors.hh"
#include "../../explicitgrid.hh"

#include "../../data-structures/program_state.hh"

using MyProgramState = ProgramState<Vector, ScalarVector>;
using P1Basis = P1NodalBasis<DeformedGrid::LeafGridView, double>;
using MyFunction = BasisGridFunction<P1Basis, Vector>;

template class GridEvaluator<LocalVector, DeformedGrid::LeafGridView>;

template Dune::Matrix<typename MyFunction::RangeType>
GridEvaluator<LocalVector, DeformedGrid::LeafGridView>::evaluate(MyFunction const &f) const;

template class PatchInfoWriter<MyProgramState, P1Basis, DeformedGrid::LeafGridView>;
